@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "poppins";

  color: #fff;
}
/* 
body {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  background: #25252b;
} */

.logo {
  display: flex;
  align-items: center;
  font-size: 2em;
  cursor: pointer;
}
.logo a {
  display: flex;
  align-items: center; 
  margin-right: 10px;
}


.logo img {
  width: 70px; 
  height: 70px; 
}

.body-div {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  background: #25252b;
  margin-top: -50px;
}

.container {
  position: relative;
  width: 750px;
  height: 450px;
  border: 2px solid #ff2770;
  box-shadow: 0 0 25px #ff2770;
  overflow: hidden;
}

.container .form-box {
  position: absolute;
  top: 0;
  width: 50%;
  height: 100%;
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.form-box.Login {
  left: 0;
  padding: 0 40px;
}

.form-box.Login .animation {
  transform: translate(0%);
  transition: 0.7s;
  opacity: 1;
  transition-delay: calc(0.1s * var(--S));
}

.container.active .form-box.Login .animation {
  transform: translateX(-120%);
  opacity: 0;
  transition-delay: calc(0.1s * var(--D));
}

.form-box.Register {
  /* display: none; */
  right: 0;
  padding: 0 40px;
}

.form-box.Register .animation {
  transform: translate(120%);
  transition: 0.7s ease;
  opacity: 0;
  filter: blur(0);
  transition-delay: calc(0.1s * var(--S));
}

.container.active .form-box.Register .animation {
  transform: translateX(0%);
  opacity: 1;
  transition-delay: calc(0.1s * var(--li));
}

.form-box h2 {
  font-size: 32px;
  text-align: center;
}

.form-box .input-box {
  position: relative;
  width: 100%;
  height: 50px;
  margin-top: 25px;
}

.input-box input {
  width: 100%;
  height: 100%;
  background: transparent;
  border: none;
  outline: none;
  border-bottom: 2px solid #fff;
  color: #fff;
  font-size: 16px;
  font-weight: 600;
  border-bottom: 2px solid #fff;
  padding-right: 23px;
  transition: 0.5s;
}

.input-box input:focus,
.input-box input:valid {
  border-bottom: 2px solid #ff2770;
}

.input-box label {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  font-size: 16px;
  color: #fff;
  transition: 0.5s;
}

.input-box input:focus ~ label,
.input-box input:valid ~ label {
  top: -5px;
  color: #ff2770;
}

.input-box i {
  position: absolute;
  top: 50%;
  right: 0;
  font-size: 18px;
  transform: translateY(-50%);
  transition: 0.5s;
}

.input-box input:focus ~ i,
.input-box input:valid ~ i {
  top: -5px;
  color: #ff2770;
}

.btn {
  position: relative;
  width: 100%;
  height: 45px;
  background: transparent;
  border-radius: 40px;
  cursor: pointer;
  font-size: 16px;
  font-weight: 600;
  border: 2px solid #ff2770;
  overflow: hidden;
  z-index: 1;
}

.btn::before {
  content: "";
  position: absolute;
  height: 300px;
  width: 100%;
  background: linear-gradient(#25252b, #ff2770, #25252b, #ff2770);
  top: -100%;
  left: 0;
  z-index: -1;
  transition: 0.5s;
}

.btn:hover:before {
  top: 0;
}

.regi-link {
  font-size: 14px;
  text-align: center;
  margin: 20px 0 10px;
}

.regi-link a {
  text-decoration: none;
  color: #ff2770;
  font-weight: 600;
}

.regi-link a:hover {
  text-decoration: underline;
}

.info-content {
  position: absolute;
  top: 0;
  width: 50%;
  height: 100%;
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.info-content.Login {
  right: 0;
  text-align: right;
  padding: 0 40px 60px 150px;
}

.info-content.Login .animation {
  transform: translateX(0);
  transition: 0.7s ease;
  transition-delay: calc(0.1s * var(--S));
  opacity: 1;
  filter: blur(0px);
}

.container.active .info-content.Login .animation {
  transform: translateX(120%);
  opacity: 0;
  filter: blur(10px);
  transition-delay: calc(0.1s * var(--D));
}

.info-content.Register {
  left: 0;
  text-align: left;
  padding: 0 150px 60px 40px;
  pointer-events: none;
}

.info-content.Register .animation {
  transform: translateX(-120%);
  transition: 0.7s ease;
  opacity: 0;
  filter: blur(10px);
  transition-delay: calc(0.1s * var(--S));
}

.container.active .info-content.Register .animation {
  transform: translateX(0%);
  opacity: 1;
  filter: blur(0);
  transition-delay: calc(0.1s * var(--li));
}

.info-content h2 {
  text-transform: uppercase;
  font-size: 36px;
  line-height: 1.3;
}

.info-content p {
  font-size: 16px;
}

.container .curved-shape {
  position: absolute;
  right: 0;
  top: -5px;
  height: 600px;
  width: 850px;
  background: linear-gradient(45deg, #25252b, #ff2770);
  transform: rotate(10deg) skewY(40deg);
  transform-origin: bottom right;
  transition: 1.5s ease;
  transition-delay: 1.6s;
}

.container.active .curved-shape {
  transform: rotate(0deg) skewY(0deg);
  transition-delay: 0.5s;
}

.container .curved-shape2 {
  position: absolute;
  left: 250px;
  top: 100%;
  height: 700px;
  width: 850px;
  background: #25252b;
  border-top: 3px solid #ff2770;
  transform: rotate(0deg) skewY(0deg);
  transform-origin: bottom left;
  transition: 1.5s;
  transition-delay: 0.5s;
}

.container.active .curved-shape2 {
  transform: rotate(-11deg) skewY(-41deg);
  transition-delay: 1.2s;
}

/* Nav bar  */

header {
  display: block;
  font-family: "poppins";
}

nav {
  width: 100%;
  height: 100px;
  background: #25252b;
  color: white;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.logo {
  font-size: 2em;
  cursor: pointer;
}

.menu a {
  text-decoration: none;
  color: white;
  padding: 10px 20px;
  font-size: 20px;
  position: relative;
}

.menu a::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 0%;
  height: 100%;
  border-bottom: 2px solid #ff2770;
  transition: 0.4s linear;
}
.menu a:hover:before {
  width: 90%;
}

.register a {
  text-decoration: none;
  color: white;
  font-size: 20px;
  padding: 10px 20px;
  border-radius: 10px;
  background: #ff2770;
  border-radius: 8px;
  transition: 0.4s linear;
  margin-right: 10px;
}

.register a:hover {
  background: transparent;
  border: 1px solid #ff2770;
}

.h-txt {
  max-width: 650px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: white;
}

.h-txt span {
  letter-spacing: 5px;
}

.h-txt h1 {
  font-size: 3.5em;
}
.h-txt a {
  text-decoration: none;
  background: #ff2770;
  color: white;
  padding: 10px 20px;
  letter-spacing: 5px;
  border-radius: 8px;
  transition: 0.4s;
}

.h-txt a:hover {
  background: transparent;
  border: 1px solid #ff2770;
}


/* Popup styles */
/* .modal {
  display: none;
  position: fixed;
  z-index: 1;
 
  margin-left: 360px;
  top: 0;
  width: 50%;
  height: 200px;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.5); 
}

.modal-content {
  background-color: #f8f9fa; 
  margin: 15% auto;
  padding: 20px;
  border-radius: 10px;
  text-align: center;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); 
}

.close {
  color: #aaa;
  position: absolute;
  top: 10px;
  right: 15px;
  font-size: 24px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #333;
  text-decoration: none;
  cursor: pointer;
}

#loginSuccessMessage {
  font-size: 18px;
  color: #333; 
}


@keyframes fadeIn {
  from {
      opacity: 0;
      transform: translateY(-20px);
  }
  to {
      opacity: 1;
      transform: translateY(0);
  }
}

@keyframes fadeOut {
  from {
      opacity: 1;
      transform: translateY(0);
  }
  to {
      opacity: 0;
      transform: translateY(-20px);
  }
}

.modal {
  animation: fadeIn 0.3s;
}

.modal-content {
  animation: fadeIn 0.3s;
}

.modal-content .close {
  animation: fadeOut 0.3s;
}

 */
/* Popup styles */
.modal-overlay {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
}

.modal {
  display: none;
  position: fixed;
  z-index: 2;
  left: 50%;
  top: 40%;
  transform: translate(-50%, -50%);
  background-color: #ffffff; 
  padding: 40px;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); 
  text-align: center;
  width: 80%; /* Adjust width as needed */
  max-width: 500px; /* Limit maximum width */
  border: 1px solid #ff2770 ;
}

.close {
  color: #aaa;
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 24px;
  cursor: pointer;
}

.close:hover,
.close:focus {
  color: #333; /* Dark gray */
}

#loginSuccessMessage {
  font-size: 18px;
  color: #333; /* Dark gray text */
  margin-bottom: 20px;
}

/* Animation for the popup */
@keyframes slideIn {
  from {
    opacity: 0;
    transform: translate(-50%, -60%);
  }
  to {
    opacity: 1;
    transform: translate(-50%, -50%);
  }
}

.modal {
  animation: slideIn 0.5s;
}

